@echo off

set EDGEROOT="C:\Program Files (x86)\Microsoft\Edge"
set EDGEUPDATE="C:\Program Files (x86)\Microsoft\EdgeUpdate"
set INSTALLER=Application\84.0.522.52\Installer

echo ####### %0 #######

if NOT exist %EDGEROOT%\%INSTALLER% (
  echo EDGE browser is NOT installed!
  echo ####### %0 #######
  exit /b
)

echo UNINSTALLING edge browser ...
%EDGEROOT%\%INSTALLER%\setup.exe --uninstall --system-level --verbose-logging --force-uninstall 2>nul

echo sleep 5 seconds ...
ping 127.0.0.1 -n 5 >nul 2>&1

echo CLEANUP ...
rd /S /Q %EDGEROOT% 2>nul
rd /S /Q %EDGEUPDATE% 2>nul
del /F "%PUBLIC%\Desktop\Microsoft Edge.lnk" 2>nul
del /F "%PROGRAMDATA%\Microsoft\Windows\Start Menu\Programs\Microsoft Edge.lnk" 2>nul
del /F "%APPDATA%\Microsoft\Windows\Start Menu\Programs\Microsoft Edge.lnk" 2>nul
del /F "%USERPROFILE%\Desktop\Microsoft Edge.lnk" 2>nul
rd /S /Q "%PROGRAMDATA%\Microsoft\EdgeUpdate" 2>nul

echo REMOVING edge browser update task ...
powershell -Command "Get-ScheduledTask | Where-Object {$_.Taskname -match 'EdgeUpdate'} | Unregister-ScheduledTask -Confirm:$false"

echo BLOCKING further edge updates ...
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\EdgeUpdate" ^
  /v "DoNotUpdateToEdgeWithChromium" /d 1 /t REG_DWORD /f 1>nul 2>&1

echo HIDING edge update in apps list ...
reg add "HKLM\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Microsoft Edge Update" /v "SystemComponent" /d 1 /t REG_DWORD /f 1>nul 2>&1

echo ####### %0 #######

